Screamer Forums and Screamer gallery have returned.

The Screamer Forums will likely remain read only unless it's known that it will be active, since forums in general are kind of dead because of Discord.

MediaWiki:Mobile.css: Difference between revisions

From Screamer Wiki
Jump to navigation Jump to search
No edit summary
No edit summary
 
(47 intermediate revisions by 3 users not shown)
Line 1: Line 1:
/* CSS placed here will affect users of the Timeless skin */
/* Custom fonts */
@import url('https://fonts.googleapis.com/css?family=Rubik&display=swap');
@font-face {
html {
  font-family: "Submona";
background: rgb(0,0,0) !important;
  src: url("/resources/assets/submona.woff") format("woff");
height: 100%;
font-size: 1.1em;
filter: brightness(100%) contrast(100%) grayscale(0%) !important;
-webkit-filter: brightness(100%) contrast(100%) grayscale(0%) !important;
overflow-x: hidden;
}
}
body {
@font-face {
margin: 0;
  font-family: "Giko";
background: #000;
  src: url("/resources/assets/giko2.woff") format("woff");
color: #e0e0e0;
font-family: 'Rubik', sans-serif;
}
}
a {
 
color: #cc6600;
.wingdings {
font-family: "Wingdings";
}
}
a:hover, a:visited {
 
color: #cc6600;
/* AA mode for non-Safari browsers */
.poem.aa, .pre.aa {
font-family: 'MS PGothic', 'submona', sans-serif !important;
word-wrap: break-word;
line-height: 1;
font-size: 12pt;
}
}
h1 {
 
color: white;
/* AA mode for Safari since Safari will try to set the page to shift-jis */
text-shadow: 1px 1px 1px #000;
@media screen and (-webkit-min-device-pixel-ratio:0) {
font-size: 40px !important;
.poem.aa, .pre.aa {
font-family: 'submona', sans-serif !important;
}
}
}
h1, h2, h3, h4 {
 
color: #e0e0e0;
/* AA mode with the giko font as default for non-Safari browsers */
font-family: 'Rubik', sans-serif;
.poem.aagiko, .pre.aagiko {
font-family: 'MS PGothic', 'giko', sans-serif !important;
word-wrap: break-word;
line-height: 1;
font-size: 12pt;
}
}
#personal .dropdown b {
 
font-weight: normal;
/* AA mode with the giko font for Safari since Safari will try to set the page to shift-jis */
@media screen and (-webkit-min-device-pixel-ratio:0) {
.poem.aagiko, .pre.aagiko {
font-family: 'giko', sans-serif !important;
}
}
}
b, strong {
 
text-shadow: 1px 1px 1px #000;
.toc {
display: none;
}
}
#f-list {
 
text-align: center;
/* Portable Infobox CSS here */
font-size: 14px;
.portable-infobox.pi-background {
  border-color: #a62e10;
}
}
div.editOptions {
.portable-infobox .pi-secondary-background {
border: #222;
  background-color: #a62e10;
background: #555;
}
}
#mw-header-nav-hack {
.portable-infobox .pi-header{
border-top: solid 2px #333;
  font-weight: bold;
background: #333;
  text-align: center;t
}
}
#mw-site-navigation .sidebar-inner {
.portable-infobox .pi-title {
background: #333;
  background-color: #a62e10;
border: 0;
  font-size: 125%;
  color: #FFFFFF;
  font-family: Rubik;
  text-align: center;
}
}
@media screen and (min-width: 851px) {
.portable-infobox .pi-border-color{
#p-logo-text a {
    border-color: #453d3c;
position: fixed;
right: 75vw;
}
}
.portable-infobox {
  width:270px;
  border: 1px solid #a62e10;
  border-radius: 4px 4px 2px 2px;
}
}
@media screen and (max-width: 850px) {
 
#p-logo-text {
/* Add your usernames here */
margin-top: 0;
a[href$=":Lawiki"], a[href$="/Lawiki"], a[visited$=":Lawiki"], a[visited$="/Lawiki"]{
    font-weight:bold;
    color: #2871F7 !important;
}
}
a[href$=":Screamer1234"], a[href$="/Screamer1234"]{
    font-weight:bold;
    color: cyan !important;
}
}
@media screen and (max-width: 1099px) and (min-width: 851px) {
a[href$=":Sump"], a[href$="/Sump"]{
#p-logo-text a.long {
    font-weight:bold;
padding-left: 7px;
    color: cyan !important;
float: left;
font-size: 23px !important;
}
}
a[href$=":Tankman_fan_44"], a[href$="/Tankman_fan_44"]{
    font-weight:bold;
    color: #FFFFFF !important;
    text-shadow: 0px 0px 5px #2a9df4;
}
}
@media screen and (max-width: 1099px) and (min-width: 851px) {
 
#mw-related-navigation .sidebar-inner {
a[href$=":Tankmanfan44"], a[href$="/Tankmanfan44"]{
background: #222 !important;
    font-weight:bold;
border: solid #111;
    color: #FFFFFF !important;
    text-shadow: 0px 0px 5px #2a9df4;
}
}
a[href$=":LuaGunsX"], a[href$="/LuaGunsX"]{
    font-weight:bold;
    color: #9C3838 !important;
}
}
@media screen and (max-width: 1099px) and (min-width: 851px) {
a[href$=":TheEpikShyGuy"], a[href$="/TheEpikShyGuy"]{
#mw-site-navigation .sidebar-inner {
    font-weight:bold;
background: #222;
    text-shadow: 0px 0px 10px #ffffff;
border: solid #111;
    color: black !important;
}
}
.stub {
background-color: #172617;
border: 1px solid #858585;
}
}
#mw-site-navigation .sidebar-chunk {
.stub2 {  
border: outset #222;
background-color: #223d1b;
background: #333;
box-shadow: 2px 2px 1px rgba(0,0,0,0.5);
border-radius: 3px;
}
}
@media screen and (max-width: 851px) {
.cleanup1 {
#mw-site-navigation .sidebar-chunk {
background-color: #262217;
padding: 0 15px 5px 20px;
border:1px solid #858585;
}
}
.cleanup2 {
background-color: #735926
}
}
@media screen and (max-width: 1099px) and (min-width: 851px) {
 
#mw-site-navigation .sidebar-inner {
.delete{  
background: #222 !important;
background-color: #261717;
border: solid #111 !important;
border:1px solid #858585;
}
}
.delete2{
background-color: #783636;
}
}
.mw-parser-output a.external {
.spoiler{  
color: #ad3400;
background-color: #66464b;
border:1px solid #858585;
}
}
#searchInput {
.spoiler2{  
padding: 0.2em 4.5em 0.2em 2em !important;
background-color: #b37b84;
margin: 0;
}
}
#searchInput-container {
.lost{  
background: #333;
background-color: #555;
height: 35px;
border:1px solid gray;
}
}
#simpleSearch {
.lost2{  
border: inset 1px #000;
background-color: lightgray;
border-radius: 3px;
background: #333;
height: 35px;
width: 30vw;
position: absolute;
left: 0;
right: 0;
margin-left: auto;
margin-right: auto;
top: 7px;
}
}
#user-tools {
.closed{  
/* position: fixed;
background-color: #555200;
/* right: 86px;
border:1px solid orange;
}
}
@media screen and (min-width: 851px) {
.closed2{  
#user-tools {
background-color: #FFD500;
left: 74vw;
top: 5px;
}
}
.construction{
background-color: #555200;
border:1px solid orange;
}
}
.mw-notification {
.construction2{  
background: #222;
background-color: #FFD500;
border: #111;
background: #111;
border-radius: 5px;
color: #999;
width: 200px;
}
}
.postedit-container {
.pd1{  
position: absolute;
background-color: #555200;
left: 0;
border:1px solid orange;
right: 0;
margin-left: auto;
margin-right: auto;
padding: 0;
padding: 15px 0 15px 15px;
text-align: right;
}
}
.postedit-icon {
.pd2{  
margin: auto;
background-color: #FFD500;
padding: 0;
}
}
.mw-wiki-logo {
.pls1{  
background-size: contain;
background-color: #172617;
border: 1px solid #858585;
}
}
#mw-header-container {
.pls2{  
background: #555;
background-color: #223d1b;
}
}
#mw-header {
.plsv1{  
width: 100%;
background-color: #497e8f;
max-width: 100%;
padding: 0;
position: static;
}
}
@media screen and (max-width: 850px) {
.plsv2{  
#menus-cover {
background-color: lightblue;
background: #000;
}
}
.fairuse{
background-color: #555;
border:1px solid gray;
}
}
@media screen and (max-width: 850px) {
.fairuse2{  
#personal h2 {
background-color: lightgray;
display: none;
}
}
.retired{
background-color: #555200;
border:1px solid orange;
}
}
#mw-content-container {
.retired2{  
background: #1d1d16;
background-color: #FFD500;
}
}
@media screen and (max-width: 850px) {
#ca-ve-edit {
#mw-content-block {
  display: none;
background: #000;
}
}
}
@media screen and (max-width: 850px) {
#site-tools h2 {
right: 3em;
top: 0.9em;
padding-bottom: 5px;
}
}
@media screen and (max-width: 850px) {
#p-logo-text a.long {
width: 100%;
top: 7px;
text-align: center;
font-size: 40px !important;
}
}
@media screen and (min-width: 851px) {
#p-logo-text {
width: 29em;
}
}
@media screen and (min-width: 851px) {
#personal h2:after {
width: 36px;
}
}
@media screen and (max-width: 850px) {
#p-logo-text {
position: static;
left: 0 !important;
right: 0;
margin-left: 0;
margin-right: 0;
width: 100%;
top: 3.3em;
}
}
@media only screen and (min-width: 992px) and (max-width:768px) {
#p-logo-text {
right:74vw;
}
}
@media only screen and (min-width: 900px) and (max-width:100px) {
#p-logo-text {
right: 74vw;
top: 3em;
}
}
@media screen and (max-width: 900px) and (min-width: 100px) {
#p-logo-text a.long {
font-size: 43px !important;
}
}
@media screen and (max-width: 1700px) and (min-width: 800px) {
#p-logo-text {
left: 12px !important;
}
}
@media screen and (max-width: 1700px) and (mix: 851px) {
#mw-site-navigation {
background: #000;
}
}
#mw-content {
background: #333;
border: solid #e87057;
-webkit-border-bottom-right-radius: 4px;
-webkit-border-bottom-left-radius: 4px;
-moz-border-radius-bottomright: 4px;
-moz-border-radius-bottomleft: 4px;
border-bottom-right-radius: 4px;
border-bottom-left-radius: 4px;
}
#mw-page-header-links li.selected a {
color: #cccc00;
}
#mw-related-navigation .sidebar-chunk {
background: #333;
border: outset #222;
box-shadow: 2px 2px 1px rgba(0,0,0,0.5);
border-radius: 3px;
}
@media screen and (max-width: 1099px) and (min-width: 851px) {
#mw-related-navigation .sidebar-chunk {
background: #333;
border: outset #222;
box-shadow: 2px 2px 1px rgba(0,0,0,0.5);
border-radius: 3px;
padding: 0 15px 5px 20px;
}
}
.color-middle-container, .ts-inner {
padding: 0;
}
#p-logo-text {
left: 120px;
}
#p-logo-text a.long {
padding-top: 5px;
padding-left: 6px;
font-size: 30px;
text-shadow: 1px 1px 1px #222;
}
#p-search {
width: 70em;
padding-right: 33px;
}
#personal .dropdown h3 {
line-height: 25px;
}
#personal h2 {
text-shadow: 2px 2px 0 #333;
padding-top: 7px;
font-size: 24px;
text-transform: lowercase;
}
#personal .dropdown {
background: #222!important;
border: solid #000;
}
.codeEditor-status {
color: #000;
}
.oo-ui-labelElement-label {
text-shadow: 1px 2px #333;
}
#iframeframe {
height: 700px;
}
#wpSave {
text-shadow: 2px 2px 2px #000 !important
}
#mw-footer-container {
background: #000;
padding-top: 1em;
}
fieldset {
background: #222!important;
border: solid #111;
}
input {
background: #333;
border: solid 1px #111!important;
border-radius: 2px;
padding-left: 5px;
color: #999;
}
.mw-ui-button.mw-ui-progressive, .mw-ui-button.mw-ui-progressive:active, .mw-ui-button.mw-ui-progressive.mw-ui-checked, input[type='submit'], input[type='button'], button {
border: solid 1px #333!important;
border-bottom: 0!important;
text-shadow: 0 0 0 #000 !important;
border-bottom: solid 1px #333!important;
}
.oo-ui-flaggedElement-destructive {
background: #111;
border: 1px solid #444;
color: #FF3333 !important;
padding-left: 15px !important;
padding-right: 15px !important;
}
.oo-ui-flaggedElement-destructive:hover {
background: #222;
color: #CC0000 !important;
}
#searchInput {
border: 0!important;
}
@media screen and (max-width: 850px) {
#searchInput {
padding: 0 0 0 6px !important;
}
}
.oo-ui-textInputWidget input, .oo-ui-textInputWidget textarea {
background-color: #333;
color: #fff;
}
.oo-ui-textInputWidget > .oo-ui-labelElement-label {
line-height: 0.5em;
}
#pagehistory li.selected {
background-color: #555;
}
.warningbox {
background: #1d1d16;
}
a.new:hover, .new a:hover, a.new:visited, .new a:visited {
color: #FF3333;
}
.mw-plusminus-neg {
color: #FF0000;
}
#searchButton, #mw-searchButton {
border: 0 !important;
left: 38vw;
right: 0;
margin-left: auto;
margin-right: auto;
}
#mw-footer-container a:hover {
color: #ffff33;
}
#mw-footer-container a:visited {
color: #ffff66;
}
#mw-footer .footer-places li {
float: right;
display: block;
}
#mw-footer ul, #mw-footer li {
margin: 0 auto;
}
#mw-footer #lastmod {
float: left;
left: 25px;
}
.diff-addedline .diffchange {
background: #1d1d16;
padding-left: 7px;
}
.oo-ui-buttonElement.oo-ui-labelElement > input.oo-ui-buttonElement-button, .oo-ui-buttonElement.oo-ui-labelElement > .oo-ui-buttonElement-button > .oo-ui-labelElement-label {
text-shadow: 0 0 0 #000 !important;
}
.oo-ui-labelElement-label {
text-shadow: 0 0 0 #000
}
.oo-ui-panelLayout-expanded {
background: #222;
}
.oo-ui-messageDialog-message {
color: #999;
}
.oo-ui-buttonElement-frameless.oo-ui-widget-enabled > .oo-ui-buttonElement-button {
color: #999;
}
.oo-ui-messageDialog-actions-horizontal .oo-ui-actionWidget {
border-right: 1px solid #111
}
.oo-ui-dialog-content > .oo-ui-window-body {
outline: 1px solid #111;
}
.oo-ui-messageDialog-content > .oo-ui-window-foot {
outline: 1px solid #111;
}
.wikiEditor-ui .wikiEditor-ui-view {
border: 1px solid #000;
}
.wikiEditor-ui .wikiEditor-ui-top {
border-bottom: 1px solid #000;
}
textarea[style] {
background: #111 !important;
color: #fff;
}
pre, .mw-code {
background: #222;
color: #B0B0B0;
border: 1px solid #444;
}
.oo-ui-iconWidget.oo-ui-iconElement.oo-ui-iconElement-icon {
background-color: #B0B0B0;
border: 1px solid #333;
}
/*

Latest revision as of 21:17, 27 February 2025

/* Custom fonts */
@font-face {
  font-family: "Submona";
  src: url("/resources/assets/submona.woff") format("woff");
}
@font-face {
  font-family: "Giko";
  src: url("/resources/assets/giko2.woff") format("woff");
}

.wingdings {
	font-family: "Wingdings";
}

/* AA mode for non-Safari browsers */
.poem.aa, .pre.aa {
	font-family: 'MS PGothic', 'submona', sans-serif !important;
	word-wrap: break-word;
	line-height: 1;
	font-size: 12pt;
}

/* AA mode for Safari since Safari will try to set the page to shift-jis */
@media screen and (-webkit-min-device-pixel-ratio:0) { 
	.poem.aa, .pre.aa {
		font-family: 'submona', sans-serif !important;
	}
}

/* AA mode with the giko font as default for non-Safari browsers */
.poem.aagiko, .pre.aagiko {
	font-family: 'MS PGothic', 'giko', sans-serif !important;
	word-wrap: break-word;
	line-height: 1;
	font-size: 12pt;
}

/* AA mode with the giko font for Safari since Safari will try to set the page to shift-jis */
@media screen and (-webkit-min-device-pixel-ratio:0) { 
	.poem.aagiko, .pre.aagiko {
		font-family: 'giko', sans-serif !important;
	}
}

.toc {
display: none;
}

/* Portable Infobox CSS here */
.portable-infobox.pi-background {
   border-color: #a62e10;
}
.portable-infobox .pi-secondary-background {
   background-color: #a62e10;
}
.portable-infobox .pi-header{
   font-weight: bold;
   text-align: center;t
}
.portable-infobox .pi-title {
   background-color: #a62e10;
   font-size: 125%;
   color: #FFFFFF;
   font-family: Rubik;
   text-align: center;
}
.portable-infobox .pi-border-color{
    border-color: #453d3c;
}
.portable-infobox {
   width:270px;
   border: 1px solid #a62e10;
   border-radius: 4px 4px 2px 2px;
}

/* Add your usernames here */
a[href$=":Lawiki"], a[href$="/Lawiki"], a[visited$=":Lawiki"], a[visited$="/Lawiki"]{
    font-weight:bold;
    color: #2871F7 !important;
}
a[href$=":Screamer1234"], a[href$="/Screamer1234"]{
    font-weight:bold;
    color: cyan !important;
}
a[href$=":Sump"], a[href$="/Sump"]{
    font-weight:bold;
    color: cyan !important;
}
a[href$=":Tankman_fan_44"], a[href$="/Tankman_fan_44"]{
    font-weight:bold;
    color: #FFFFFF !important;
    text-shadow: 0px 0px 5px #2a9df4;
}

a[href$=":Tankmanfan44"], a[href$="/Tankmanfan44"]{
    font-weight:bold;
    color: #FFFFFF !important;
    text-shadow: 0px 0px 5px #2a9df4;
}

a[href$=":LuaGunsX"], a[href$="/LuaGunsX"]{
    font-weight:bold;
    color: #9C3838 !important;
}
a[href$=":TheEpikShyGuy"], a[href$="/TheEpikShyGuy"]{
    font-weight:bold;
    text-shadow: 0px 0px 10px #ffffff;
    color: black !important;
}
.stub { 
 background-color: #172617;
 border: 1px solid #858585;
}
.stub2 { 
 background-color: #223d1b;
}
.cleanup1 {
 background-color: #262217;
 border:1px solid #858585;
}
.cleanup2 {
 background-color: #735926
}

.delete{ 
 background-color: #261717;
 border:1px solid #858585;
}
.delete2{ 
 background-color: #783636;
}
.spoiler{ 
 background-color: #66464b;
 border:1px solid #858585;
}
.spoiler2{ 
 background-color: #b37b84;
}
.lost{ 
 background-color: #555;
 border:1px solid gray;
}
.lost2{ 
 background-color: lightgray;
}
.closed{ 
 background-color: #555200;
 border:1px solid orange;
}
.closed2{ 
 background-color: #FFD500;
}
.construction{ 
 background-color: #555200;
 border:1px solid orange;
}
.construction2{ 
 background-color: #FFD500;
}
.pd1{ 
 background-color: #555200;
 border:1px solid orange;
}
.pd2{ 
 background-color: #FFD500;
}
.pls1{ 
 background-color: #172617;
 border: 1px solid #858585;
}
.pls2{ 
 background-color: #223d1b;
}
.plsv1{ 
 background-color: #497e8f;
}
.plsv2{ 
 background-color: lightblue;
}
.fairuse{ 
 background-color: #555;
 border:1px solid gray;
}
.fairuse2{ 
 background-color: lightgray;
}
.retired{ 
 background-color: #555200;
 border:1px solid orange;
}
.retired2{ 
 background-color: #FFD500;
}
#ca-ve-edit {
  display: none;
}